import { ImagePicker } from "./ImagePicker";
import { Username } from "./Username";
import { Content } from "./Content";
import { Embed } from "./Embed";
import { useReminder } from "./ReminderContext";

export const Message = () => {
    const [reminder, setReminder] = useReminder();

    return (
        <div class="column discord-frame">
            <article class="media">
                <figure class="media-left">
                    <p class="image is-32x32 customizable">
                        <ImagePicker
                            class="is-rounded avatar"
                            url={reminder.avatar}
                            alt="Image for discord avatar"
                            setImage={(url: string) => {
                                setReminder((reminder) => ({
                                    ...reminder,
                                    avatar: url,
                                }));
                            }}
                        ></ImagePicker>
                    </p>
                </figure>
                <div class="media-content">
                    <div class="content">
                        <Username
                            value={reminder.username}
                            onChange={(username: string) => {
                                setReminder((reminder) => ({
                                    ...reminder,
                                    username,
                                }));
                            }}
                        ></Username>
                        <Content
                            value={reminder.content}
                            onChange={(content: string) => {
                                setReminder((reminder) => ({
                                    ...reminder,
                                    content,
                                }));
                            }}
                        ></Content>
                        <Embed reminder={reminder} setReminder={setReminder}></Embed>
                    </div>
                </div>
            </article>
        </div>
    );
};
